sling-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Oliver Lietz (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (SLING-7347) Update plugins to the most recent versions
Date Wed, 03 Jan 2018 12:27:03 GMT

    [ https://issues.apache.org/jira/browse/SLING-7347?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16309578#comment-16309578
] 

Oliver Lietz commented on SLING-7347:
-------------------------------------

{noformat}
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-failsafe-plugin</artifactId>
                    <version>2.20.1</version>
                    <configuration>
                        <additionalClasspathElements>
                            <additionalClasspathElement>${project.build.outputDirectory}</additionalClasspathElement>
                        </additionalClasspathElements>
                    </configuration>
                </plugin>
{noformat}

> Update plugins to the most recent versions
> ------------------------------------------
>
>                 Key: SLING-7347
>                 URL: https://issues.apache.org/jira/browse/SLING-7347
>             Project: Sling
>          Issue Type: Improvement
>          Components: General
>    Affects Versions: Parent 32
>            Reporter: Konrad Windszus
>            Assignee: Konrad Windszus
>             Fix For: Parent 33
>
>
> When executing {{mvn org.codehaus.mojo:versions-maven-plugin:2.5:display-plugin-updates}}
the following updates are found:
> {code}
> [INFO] The following plugin updates are available:
> [INFO]   biz.aQute.bnd:bnd-maven-plugin ....................... 3.3.0 -> 3.5.0
> [INFO]   maven-changes-plugin ................................. 2.11 -> 2.12.1
> [INFO]   maven-dependency-plugin ............................... 2.10 -> 3.0.2
> [INFO]   maven-failsafe-plugin .............................. 2.18.1 -> 2.20.1
> [INFO]   maven-surefire-plugin ............................. 2.18.1 -> 2.20.1
> [INFO]   maven-surefire-report-plugin ...................... 2.18.1 -> 2.20.1
> [INFO]   maven-war-plugin ....................................... 2.6 -> 3.2.0
> [INFO]   org.codehaus.cargo:cargo-maven2-plugin .............. 1.4.13 -> 1.5.1
> [INFO]   org.codehaus.mojo:build-helper-maven-plugin .......... 1.9.1 -> 3.0.0
> [INFO]   org.jacoco:jacoco-maven-plugin .......... 0.7.5.201505241946 -> 0.7.9
> ...
> [INFO] Require Maven 3.0.2 to use the following plugin updates:
> [INFO]   org.apache.sling:maven-jspc-plugin ............................ 2.0.6  (already
up to date)
> [INFO]   org.apache.sling:maven-sling-plugin ........................... 2.1.0  (already
up to date)
> [INFO] 
> [INFO] Require Maven 3.0.4 to use the following plugin updates:
> [INFO]   org.apache.sling:maven-jspc-plugin ............................ 2.0.8  (already
up to date)
> [INFO]   org.apache.sling:maven-sling-plugin .......................... 2.1.10  (already
up to date)
> [INFO]   org.apache.sling:slingstart-maven-plugin ...................... 1.4.4  (already
up to date)
> [INFO] 
> [INFO] Require Maven 3.0.5 to use the following plugin updates:
> [INFO]   org.apache.felix:maven-bundle-plugin .......................... 3.4.0  (already
up to date)
> [INFO] 
> [INFO] Require Maven 3.2.2 to use the following plugin updates:
> [INFO]   org.codehaus.cargo:cargo-maven2-plugin ........................ 1.6.6
> [INFO] 
> [INFO] Require Maven 3.3.9 to use the following plugin updates:
> [INFO]   org.apache.sling:maven-sling-plugin ........................... 2.3.4 (already
up to date)
> [INFO]   org.apache.sling:slingstart-maven-plugin ..................... 1.7.14  (already
up to date)
> {code}
> Since we actually require Maven 3.3.9 we can upgrade all plugins to the latest version.
The output of {{versions-maven-plugin}} does not detect that due to https://github.com/mojohaus/versions-maven-plugin/issues/195.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message